Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble
Class Configuration

    java.lang.Object
      net.sourceforge.pebble.Configuration

    public class Configuration

extends java.lang.Object

A bean representing configurable properties for Pebble.

Author:
  Simon Brown

Constructor Summary
`Configuration()`

Method Summary
`DAOFactory` | `getDaoFactory()`
`java.lang.String` | `getDataDirectory()`
`java.lang.String` | `getDomainName()`
`long` | `getFileUploadQuota()`
`long` | `getFileUploadSize()`
`java.lang.String` | `getSecureUrl()`
`SecurityRealm` | `getSecurityRealm()`
`java.lang.String` | `getSmtpHost()`
`java.lang.String` | `getUrl()`
`boolean` | `isMultiBlog()`
`boolean` | `isUserThemesEnabled()` Determines whether user themes are enabled.
`boolean` | `isVirtualHostingEnabled()`
`void` | `setDaoFactory(DAOFactory daoFactory)`
`void` | `setDataDirectory(java.lang.String dataDirectory)`
`void` | `setFileUploadQuota(long fileUploadQuota)`
`void` | `setFileUploadSize(long fileUploadSize)`
`void` | `setMultiBlog(boolean multiBlog)`
`void` | `setSecureUrl(java.lang.String s)`
`void` | `setSecurityRealm(SecurityRealm securityRealm)`
`void` | `setSmtpHost(java.lang.String smtpHost)`
`void` | `setUrl(java.lang.String s)`
`void` | `setUserThemesEnabled(boolean userThemesEnabled)` Sets whether user themes are enabled.
`void` | `setVirtualHostingEnabled(boolean virtualHostingEnabled)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Configuration

    public Configuration()

Method Detail

### getUrl

    public java.lang.String getUrl()

### setUrl

    public void setUrl(java.lang.String s)

### getDomainName

    public java.lang.String getDomainName()

### getSecureUrl

    public java.lang.String getSecureUrl()

### setSecureUrl

    public void setSecureUrl(java.lang.String s)

### getSmtpHost

    public java.lang.String getSmtpHost()

### setSmtpHost

    public void setSmtpHost(java.lang.String smtpHost)

### getFileUploadSize

    public long getFileUploadSize()

### setFileUploadSize

    public void setFileUploadSize(long fileUploadSize)

### getFileUploadQuota

    public long getFileUploadQuota()

### setFileUploadQuota

    public void setFileUploadQuota(long fileUploadQuota)

### getDaoFactory

    public DAOFactory getDaoFactory()

### setDaoFactory

    public void setDaoFactory(DAOFactory daoFactory)

### getDataDirectory

    public java.lang.String getDataDirectory()

### setDataDirectory

    public void setDataDirectory(java.lang.String dataDirectory)

### isMultiBlog

    public boolean isMultiBlog()

### setMultiBlog

    public void setMultiBlog(boolean multiBlog)

### isVirtualHostingEnabled

    public boolean isVirtualHostingEnabled()

### setVirtualHostingEnabled

    public void setVirtualHostingEnabled(boolean virtualHostingEnabled)

### getSecurityRealm

    public SecurityRealm getSecurityRealm()

### setSecurityRealm

    public void setSecurityRealm(SecurityRealm securityRealm)

### isUserThemesEnabled

    public boolean isUserThemesEnabled()

  Determines whether user themes are enabled.

  Returns:
    true if user themes are enabled, false otherwise

### setUserThemesEnabled

    public void setUserThemesEnabled(boolean userThemesEnabled)

  Sets whether user themes are enabled.

  Parameters:
    `userThemesEnabled` - true if user themes are enabled, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.